---
title: List Available Plans
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Zones](https://developers.cloudflare.com/api/python/resources/zones)

[Plans](https://developers.cloudflare.com/api/python/resources/zones/subresources/plans)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Available Plans

zones.plans.list(PlanListParams\*\*kwargs) -> SyncSinglePage\[[AvailableRatePlan](<https://developers.cloudflare.com/api/python/resources/zones#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)>)]

GET/zones/{zone\_id}/available\_plans

Lists available plans the zone can subscribe to.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Billing Write``Billing Read`

##### ParametersExpand Collapse

zone\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20zones.plans%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class AvailableRatePlan: …

</summary>

id: Optional\[str]

Identifier

maxLength32

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

can\_subscribe: Optional\[bool]

Indicates whether you can subscribe to this plan.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20can_subscribe">Link to this property</a>

currency: Optional\[str]

The monetary unit in which pricing information is displayed.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20currency">Link to this property</a>

externally\_managed: Optional\[bool]

Indicates whether this plan is managed externally.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20externally_managed">Link to this property</a>

<details>

<summary>

frequency: Optional\[Literal\["weekly", "monthly", "quarterly", "yearly"]]

The frequency at which you will be billed for this plan.

</summary>

One of the following:

"weekly"

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%200">Link to this property</a>

"monthly"

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%201">Link to this property</a>

"quarterly"

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%202">Link to this property</a>

"yearly"

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20frequency">Link to this property</a>

is\_subscribed: Optional\[bool]

Indicates whether you are currently subscribed to this plan.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20is_subscribed">Link to this property</a>

legacy\_id: Optional\[str]

The legacy identifier for this rate plan, if any.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20legacy_id">Link to this property</a>

name: Optional\[str]

The plan name.

maxLength80

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

price: Optional\[float]

The amount you will be billed for this plan.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20price">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)>)

### List Available Plans

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zones.plans.list(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "can_subscribe": true,
      "currency": "USD",
      "externally_managed": false,
      "frequency": "monthly",
      "is_subscribed": false,
      "legacy_id": "free",
      "name": "Free Plan",
      "price": 0
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "can_subscribe": true,
      "currency": "USD",
      "externally_managed": false,
      "frequency": "monthly",
      "is_subscribed": false,
      "legacy_id": "free",
      "name": "Free Plan",
      "price": 0
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```